#include <stdio.h>

#define NUM_COL 3

typedef struct {
  unsigned char red;
  unsigned char green;
  unsigned char blue;
} color;

int main(int argc, char ** argv) {
  color * primary = NULL;
  FILE * output = NULL;
  int i, len;

  /* Create primary colors. */
  primary = (color *)malloc(NUM_COL * sizeof(color));
  primary[0].red   = 0xFF;
  primary[1].green = 0xFF;
  primary[2].blue  = 0xFF;

  /* Write to file. */
  output = fopen(argv[1], "w");
  fwrite(primary, sizeof(color), NUM_COL, output);
  fclose(output);

  /* Put our toys away. */
  free(primary);
}
