-- Find people in 904 or 905, but not both.
SELECT Person.FirstName, Person.LastName
FROM   Person, Assigned
WHERE (Person.EmpId = Assigned.EmpId)
  AND ((Assigned.ProjId = 904) OR (Assigned.ProjId = 905))
  AND (Person.EmpId NOT IN (SELECT A.EmpId
        FROM   Assigned A, Assigned B
        WHERE  (A.ProjId = 904) AND  (B.ProjId = 905)
          AND  (A.EmpId = B.EmpId)));
