-- Select people who are assigned to exactly one project.
SELECT Person.FirstName, Person.LastName
FROM   Person, Assigned
WHERE (Person.EmpId = Assigned.EmpId)
  AND (Assigned.EmpId NOT IN
       (SELECT A.EmpId
        FROM   Assigned A, Assigned B
        WHERE (A.EmpId = B.EmpId)
          AND (A.ProjId < B.ProjId)));
