/***
 * Excerpted from "Data Crunching"
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/gwd for more book information.
***/
import java.util.*;
import java.io.*;
class Freq {
    public static void main(String[] args) {
        BufferedReader input =
	    new BufferedReader(new InputStreamReader(System.in));
        Map m = new HashMap();
	String line;
	try {
	    while ((line = input.readLine()) != null) {
		line = line.trim();
		if (m.containsKey(line)) {
		    Integer tmp = (Integer)m.get(line);
		    m.put(line, new Integer(tmp.intValue() + 1));
		} else {
		    m.put(line, new Integer(1));
		}
	    }
            input.close();
	}
	catch (IOException e) {
	    System.err.println(e);
	}
	Set keySet = m.keySet();
	List keyList = new LinkedList(keySet);
	Collections.sort(keyList);
	for (Iterator i=keyList.iterator(); i.hasNext(); ) {
	    String key = (String)i.next();
	    Integer value = (Integer)m.get(key);
	    System.out.println(key + " " + value);
	}
    }
}
