/***
 * Excerpted from "Data Crunching"
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/gwd for more book information.
***/
import java.util.*;
import java.io.*;

public class ReverseLines {
    
  public static void main(String[] args) {
    try {
      // Read
      BufferedReader input = new BufferedReader(new FileReader(args[0]));
      ArrayList list = new ArrayList();
      String line;
      while ((line = input.readLine()) != null) {
        list.add(line);
      }
      input.close();

      // Process
      Collections.reverse(list);

      // Write
      PrintWriter output = 
        new PrintWriter(new BufferedWriter(new FileWriter(args[1])));
      for (Iterator i=list.iterator(); i.hasNext(); ) {
        output.println((String)i.next());
      }
      output.close();
    }
    catch (IOException e) {
      System.err.println(e);
    }
  }
}
