import sys
from xml.sax import parse, ContentHandler

class IndentTags(ContentHandler):
    def __init__(self):
        self.indent = 0

    def startElement(self, name, attrs):
        print ' ' * self.indent + name
        self.indent += 1

    def endElement(self, name):
        self.indent -= 1

handler = IndentTags()
parse(sys.stdin, handler)
