/***
 * Excerpted from "Data Crunching"
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/gwd for more book information.
***/
import java.util.Iterator;
import org.jdom.Document;
import org.jdom.Element;
import org.jdom.input.SAXBuilder;

class ShowTop {
    public static void main(String[] args) {
        try {
            SAXBuilder builder = new SAXBuilder();
            Document doc = builder.build(args[0]);
            
            Element root = doc.getRootElement();
            Iterator ic = root.getChildren().iterator();
            while (ic.hasNext()) {
                Element elt = (Element)ic.next();
                System.out.println(elt.getName());
            }
        } catch (Exception e) {
            System.err.println(e);
        }
    }
}
