<!--
 ! Excerpted from "Data Crunching"
 ! We make no guarantees that this code is fit for any purpose. 
 ! Visit http://www.pragmaticprogrammer.com/titles/gwd for more book information.
-->
<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


<xsl:template match="/personnel">
  <html>
  <body>
  <dl>
    <xsl:apply-templates/>
  </dl>
  </body>
  </html>
</xsl:template>



<xsl:template match="person">
  <dt><b><xsl:value-of select="surname"/></b>,
         <xsl:value-of select="forename"/></dt>
  <dd>
  <xsl:apply-templates select="email"/>
  <br/>
  <xsl:apply-templates select="rate"/>
  </dd>
</xsl:template>



<xsl:template match="email">
  <xsl:value-of select="."/>
</xsl:template>

<xsl:template match="rate">
  <xsl:value-of select="."/>
  <xsl:if test="@currency='GBP'">(pounds sterling)</xsl:if>
</xsl:template>


</xsl:stylesheet>
