<!--
 ! Excerpted from "Data Crunching"
 ! We make no guarantees that this code is fit for any purpose. 
 ! Visit http://www.pragmaticprogrammer.com/titles/gwd for more book information.
-->
<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/personnel">

  <html>
  <body>
    <h1>Personnel</h1>
    <table border="1">
      <tr>
        <th align="left">Forename</th>
        <th align="left">Surname</th>
        <th align="left">Rate</th>
      </tr>

      
      <xsl:for-each select="person">
        <tr>
          <td><xsl:value-of select="forename"/></td>
          <td><xsl:value-of select="surname"/></td>
          <xsl:choose>
            <xsl:when test="rate/@currency='GBP'">
              <td color="#020202"><xsl:value-of select="rate"/></td>
            </xsl:when>
            <xsl:otherwise>
              <td><xsl:value-of select="rate"/></td>
            </xsl:otherwise>
          </xsl:choose>
        </tr>
      </xsl:for-each>
      

    </table>
  </body>
  </html>

</xsl:template>
</xsl:stylesheet>
