import sys, re

match = ["5'", "5'-3\"", "5'3\"", "3\""]

nomatch = ["5", "-", "5'3", "05'", "5'03\"", "5-3", "5-3\""]

pat = re.compile("^([1-9]\\d*'|([1-9]\\d*'-?)?[1-9]\\d*\")$")

for (expected, tests) in ((True, match), (False, nomatch)):
    for t in tests:
        result = pat.match(t)
        if (result and expected) or ((not result) and (not expected)):
            print "pass", t
        else:
            print "FAIL", t
