import sys, re

pat = re.compile("(\\d{1,3})\\.(\\d{1,3})\\.(\\d{1,3})\\.(\\d{1,3})")

def validIp(text):
    try:
        m = pat.match(text)
        for g in m.groups():
            val = int(g)
            if val > 255:
                return False
        return True
    except:
        return False

for line in sys.stdin:
    line = line.strip()
    print line, "=>", validIp(line)