import sys, re

patStrip = re.compile("[\\(\\)\\s-]")
patPhone = re.compile("(\\d{3})(\\d{3})(\\d{4})")

tests = [
    "123 456 7890",
    "(123) 456-7890",
    "123-456 7890",
    "1 2 3 4 5 6 7 8 9 0"
]

for t in tests:
    print t
    temp = patStrip.sub("", t)
    m = patPhone.match(temp)
    assert len(m.groups()) == 3
    assert m.group(1) == "123"
    assert m.group(2) == "456"
    assert m.group(3) == "7890"
