-- Create tables used for running example.

CREATE TABLE Person(
	EmpId		INTEGER		NOT NULL,
	FirstName	TEXT	        NOT NULL,
	LastName	TEXT	        NOT NULL,
	Rate		DECIMAL		NOT NULL
);

INSERT INTO Person VALUES(3001, "Dave",  "Thomas",  "400.00");
INSERT INTO Person VALUES(3002, "Andy",  "Hunt",    "400.00");
INSERT INTO Person VALUES(4001, "Greg",  "Wilson",  "320.00");
INSERT INTO Person VALUES(4002, "Grace", "Hopper",  "500.00");
INSERT INTO Person VALUES(4003, "Alan",  "Turing",  "500.00");
INSERT INTO Person VALUES(4004, "Chuck", "Babbage", "125.00");

CREATE TABLE Project(
	ProjId		INTEGER		NOT NULL,
	ProjName	TEXT        	NOT NULL,
	CustId		INTEGER		NULL,
	StartDate	DATE		NOT NULL,
	EndDate		DATE		NULL
);

INSERT INTO Project VALUES(904, "RubyMath", 70043, "2004-05-01", "2004-10-30");
INSERT INTO Project VALUES(905, "DbBridge", 70047, "2004-05-01", "2004-10-30");

CREATE TABLE Customer(
	CustId		INTEGER		NOT NULL,
	ContactInfo	TEXT		NOT NULL
);

INSERT INTO Customer VALUES(70043, "MegaCorp Inc.");
INSERT INTO Customer VALUES(70047, "Deadlines 'R' Us");
INSERT INTO Customer VALUES(70101, "University of Euphoria");

CREATE TABLE Assigned(
	ProjId		INTEGER		NOT NULL,
	EmpId		INTEGER		NOT NULL,
	StartDate	DATE		NOT NULL,
	EndDate		DATE		NULL
);

INSERT INTO Assigned VALUES(904, 3001, "2005-02-01", "2005-02-28");
INSERT INTO Assigned VALUES(904, 3002, "2005-02-01", "2005-03-15");
INSERT INTO Assigned VALUES(904, 4001, "2005-02-01", "2005-03-31");
INSERT INTO Assigned VALUES(905, 4001, "2005-02-10", "2005-02-22");
INSERT INTO Assigned VALUES(905, 4002, "2005-01-20", "2005-04-01");
INSERT INTO Assigned VALUES(905, 4004, "2005-02-10", "2005-03-31");
