-- Select people who are NOT assigned to the RubyMath project.
SELECT Person.FirstName, Person.LastName
FROM   Person
WHERE  Person.EmpId NOT IN
       (SELECT Assigned.EmpId
        FROM   Assigned, Project
        WHERE (Assigned.ProjId = Project.ProjId)
        AND   (Project.ProjName = "RubyMath"));
