import sys
from xml.dom.minidom import parse

def concatText(node, result=None):
    if result is None:
        temp = []
    else:
        temp = result
    if node.nodeType is node.TEXT_NODE:
        temp.append(node.data)
    elif node.nodeType is node.ELEMENT_NODE:
        for child in node.childNodes:
            concatText(child, temp)
    if result is None:
        return ''.join(temp)
    else:
        return None

root = parse(sys.stdin).documentElement
print concatText(root)
