/***
 * Excerpted from "Data Crunching"
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/gwd for more book information.
***/
import java.util.List;
import java.util.Iterator;
import org.jdom.Document;
import org.jdom.Element;
import org.jdom.input.SAXBuilder;
import org.jdom.output.XMLOutputter;
import org.jaxen.jdom.JDOMXPath;

// START:body
public class XPath {
    public static void main(String[] args) {
	try {
	    SAXBuilder builder = new SAXBuilder();
	    Document doc = builder.build(args[0]);
	    JDOMXPath x = new JDOMXPath(args[1]);
	    List matches = x.selectNodes(doc);

	    XMLOutputter fmt = new XMLOutputter();
            int count = 0;
	    for (Iterator i = matches.iterator(); i.hasNext(); ) {
                Element e = (Element)i.next();
		System.out.println(count++);
		System.out.println(fmt.outputString(e));
		System.out.println();
	    }
	} catch (Exception e) {
	    System.err.println(e);
	}
    }
}
// END:body
