<!--
 ! Excerpted from "Data Crunching"
 ! We make no guarantees that this code is fit for any purpose. 
 ! Visit http://www.pragmaticprogrammer.com/titles/gwd for more book information.
-->
<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


<xsl:variable name="poundsToDollars" select="1.85"/>


<xsl:template match="/personnel">

  <html>
  <body>
    <h1>Expensive Personnel</h1>
    <table border="1">
      <tr>
        <th align="left">Forename</th>
        <th align="left">Surname</th>
        <th align="left">Rate</th>
      </tr>

      <xsl:for-each select="person">

        
        <xsl:variable name="actualRate">
          <xsl:choose>
            <xsl:when test="rate/@currency='GBP'">
              <xsl:value-of select="rate*$poundsToDollars"/>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="rate"/>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:variable>
        

        
        <xsl:if test="$actualRate &gt; 300">
          <tr>
            <td><xsl:value-of select="forename"/></td>
            <td><xsl:value-of select="surname"/></td>
            <td><xsl:value-of select="rate"/></td>
          </tr>
        </xsl:if>
        

      </xsl:for-each>

    </table>
  </body>
  </html>

</xsl:template>
</xsl:stylesheet>
