<!--
 ! Excerpted from "Data Crunching"
 ! We make no guarantees that this code is fit for any purpose. 
 ! Visit http://www.pragmaticprogrammer.com/titles/gwd for more book information.
-->
<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/personnel">

  <!-- Start of boilerplate HTML output -->
  <html>
  <body>
    <h1>Personnel</h1>
    <table border="1">
      <tr>
        <th align="left">Forename</th>
        <th align="left">Surname</th>
        <th align="left">Email</th>
      </tr>

      <!-- Repeat this section for each person -->
      <xsl:for-each select="person">
      <tr>
        <!-- Select specific fields for each person -->
        <td><xsl:value-of select="forename"/></td>
        <td><xsl:value-of select="surname"/></td>
        <td><xsl:value-of select="email"/></td>
      </tr>
      </xsl:for-each>

    <!-- Close the document -->
    </table>
  </body>
  </html>

</xsl:template>
</xsl:stylesheet>
